avahi 0.1.0 copy "avahi: ^0.1.0" to clipboard
avahi: ^0.1.0 copied to clipboard

PlatformLinux

Provides a client to connect to Avahi - the service that implements mDNS/DNS-SD on Linux.

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add avahi

With Flutter:

 $ flutter pub add avahi

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):

dependencies:
  avahi: ^0.1.0

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:avahi/avahi.dart';
4
likes
140
pub points
17%
popularity

Publisher

verified publishercanonical.com

Provides a client to connect to Avahi - the service that implements mDNS/DNS-SD on Linux.

Repository (GitHub)
View/report issues
Contributing

Documentation

API reference

License

MPL-2.0 (LICENSE)

Dependencies

dbus

More

Packages that depend on avahi